## Class Animal

    java.lang.Object
      greenfoot.Actor
          Animal

    public class Animal

extends greenfoot.Actor

Animal. Dies ist die Basisklasse für alle Tiere. Zusätzlich zu den Standardmethoden der Actor-Klasse verleiht sie die Fähigkeit, sich zu bewegen und zu drehen.

Version:
  1.0
Author:
  Michael Kolling

Constructor Summary
`Animal()` Konstruktor für Animal - ohne Aufgabe.

Method Summary
`void` | `act()` Leere Methode.
`boolean` | `atWorldEdge()` Prüft, ob wir nahe an einem der Ränder der Welt sind.
`boolean` | `canSee(java.lang.Class clss)` Liefert true zurück, wenn wir genau dort, wo wir sind, ein Objekt der Klasse 'clss' sehen.
`void` | `eat(java.lang.Class clss)` Versucht, ein Objekt der Klasse 'clss' zu fressen.
`void` | `move()` Rückt vorwärts in die aktuelle Richtung.
`void` | `turn(int angle)` Dreht 'angle' Grad nach rechts (im Uhrzeigersinn).

Methods inherited from class greenfoot.Actor
`addedToWorld, getImage, getIntersectingObjects, getNeighbours, getObjectsAtOffset, getObjectsInRange, getOneIntersectingObject, getOneObjectAtOffset, getRotation, getWorld, getX, getY, intersects, setImage, setImage, setLocation, setRotation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Animal

    public Animal()

  Konstruktor für Animal - ohne Aufgabe.

Method Detail

### act

    public void act()

  Leere Methode. Tiere verfügen über keine Standardaktionen.

  Overrides:
    `act` in class `greenfoot.Actor`

### atWorldEdge

    public boolean atWorldEdge()

  Prüft, ob wir nahe an einem der Ränder der Welt sind. Liefert true zurück, wenn ja.

### canSee

    public boolean canSee(java.lang.Class clss)

  Liefert true zurück, wenn wir genau dort, wo wir sind, ein Objekt der Klasse 'clss' sehen. False, wenn dort kein solches Objekt vorhanden ist.

### eat

    public void eat(java.lang.Class clss)

  Versucht, ein Objekt der Klasse 'clss' zu fressen. Dies ist nur erfolgreich, wenn dort, wo wir gerade sind, ein solches Objekt vorhanden ist. Andernfalls macht diese Methode nichts.

### move

    public void move()

  Rückt vorwärts in die aktuelle Richtung.

### turn

    public void turn(int angle)

  Dreht 'angle' Grad nach rechts (im Uhrzeigersinn).